/*------------------------------------*\
    #MENU-print
\*------------------------------------*/
/**
 * print navigation component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}menu-print,
%#{$inuit-namespace}menu-print {
    padding-top: 30px;
}

.#{$inuit-namespace}menu-print__list,
%#{$inuit-namespace}menu-print__list {
    @extend %o-list-bare;
}

.#{$inuit-namespace}menu-print__item,
%#{$inuit-namespace}menu-print__item {
    background: transparent;
    display: inline-block;
    height: frs-halve($frs-base-unit);
    margin-right: frs-quarter($frs-base-unit);
    margin-bottom: -7px;
    width: frs-halve($frs-base-unit);
}

.#{$inuit-namespace}menu-print__label,
%#{$inuit-namespace}menu-print__label {
    display: inline-block;
    margin-right: frs-quarter($frs-base-unit);
    width: auto;
}

.#{$inuit-namespace}menu-print__headline,
%#{$inuit-namespace}menu-print__headline {
    font-weight: bold;
    margin-bottom: frs-quarter($frs-base-unit);
    margin-top: 0;
}

.#{$inuit-namespace}menu-print__icon,
%#{$inuit-namespace}menu-print__icon {
    padding: 0;
    fill: $frs-color-blue;

    @include frs-hover {
        fill: $frs-color-btn-hover;
    }
    @include frs-focus {
        fill: $frs-color-btn-hover;
    }
}
.c-page--fullwidth  .c-menu-print__list:first-child {
    margin-bottom:0;
}
.c-page--fullwidth .c-menu-print__item {
    background-color:$frs-color-blue;
    display: inline-block;
    height: 2.3529411765rem;
    width: 2.3529411765rem;
}
.c-page--fullwidth {
    .c-menu-print__item {
        background-color:$frs-color-blue;
    }
    .c-menu-print__icon {
        display: inline-block;
        height:100%;
        padding:10px;
        width:100%;
        color:$frs-color-white;
        fill:$frs-color-white;

        @include frs-hover {
            background-color:$frs-color-btn-hover;
            fill: $frs-color-white;
        }
        @include frs-focus {
            background-color:$frs-color-btn-hover;
            fill: $frs-color-white;
        }
    }
}
